---
title: RTCTrackEvent.transceiver
slug: Web/API/RTCTrackEvent/transceiver
tags:
  - API
  - Media
  - Property
  - RTCTrackEvent
  - RTP
  - Reference
  - Transceiver
  - WebRTC
  - WebRTC API
  - events
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The WebRTC API interface {{domxref("RTCTrackEvent")}}'s read-only <code><strong>transceiver</strong></code> property indicates the {{domxref("RTCRtpTransceiver")}} affiliated with the event's {{domxref("RTCTrackEvent.track", "track")}}.</span> The transceiver pairs the track's {{domxref("RTCTrackEvent.receiver", "receiver")}} with an {{domxref("RTCRtpSender")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>rtpTransceiver</em> = <em>trackEvent</em>.transceiver;</pre>

<h3 id="Value">Value</h3>

<p>The {{domxref("RTCRtpTransceiver")}} which pairs the <code>receiver</code> with a sender and other properties which establish a single bidirectional {{Glossary("SRTP")}} stream for use by the {{domxref("RTCTrackEvent.track", "track")}} associated with the <code>RTCTrackEvent</code>.</p>

<div class="note">
<p><strong>Note:</strong> The {{domxref("RTCRtpReceiver")}} referred to by this <code>RTCRtpReceiver</code>'s {{domxref("RTCRtpTransceiver.receiver", "receiver")}} property will always be the same as the {{domxref("RTCTrackEvent")}}'s {{domxref("RTCTrackEvent.receiver", "receiver")}} property.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-trackevent-transceiver', 'RTCTrackEvent.transceiver')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEvent.transceiver")}}</p>
